org.pentaho.reporting.libraries.resourceloader

## Class ResourceKeyData

- java.lang.Object
- - org.pentaho.reporting.libraries.resourceloader.ResourceKeyData

    public class ResourceKeyData
    extends java.lang.Object

Data class which holds the pieces of the String version of the Resource Key.

Author:
  David M. Kincade

### Constructor Summary

Constructors
Constructor and Description
`ResourceKeyData(java.lang.String schema, java.lang.String identifier, java.util.Map factoryParameters)`

### Method Summary

Methods
`java.util.Map` `getFactoryParameters()`
`java.lang.String` `getIdentifier()`
`java.lang.String` `getSchema()`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ResourceKeyData

    public ResourceKeyData(java.lang.String schema,
                   java.lang.String identifier,
                   java.util.Map factoryParameters)

### Method Detail

#### getSchema

    public java.lang.String getSchema()

#### getIdentifier

    public java.lang.String getIdentifier()

#### getFactoryParameters

    public java.util.Map getFactoryParameters()